Subject: Re: Making error message more user-friendly with spaces in a URI

From: Michael Paquier <[email-masked]>
Date: Tue, 19 Nov 2024 09:29:27 +0900

On Mon, Nov 18, 2024 at 02:59:18PM -0500, Bruce Momjian wrote:
> On Wed, Nov  6, 2024 at 01:09:12AM +0900, Fujii Masao wrote:
>> The phrasing "Did you forget" feels a bit indirect to me.
>> How about using something clearer and more direct instead?
>> 
>> -----------
>> psql: error: unexpected spaces found "a b", use percent-encoded spaces instead
>> -----------
> 
> +1

Could it be better to mention %20 in the error message?  Say an
addition like:
"unexpected spaces found \"%s\", use percent-encoded spaces (%%20)
instead"
--
Michael